Skip to main content
GET
/
crypto
/
convert
/
{from}
/
{to}
Conversion
curl --request GET \
  --url https://api.tradewatch.io/crypto/convert/{from}/{to} \
  --header 'api-key: <api-key>'
import requests

url = "https://api.tradewatch.io/crypto/convert/{from}/{to}"

headers = {"api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'api-key': '<api-key>'}};

fetch('https://api.tradewatch.io/crypto/convert/{from}/{to}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "info": {
    "timestamp": 1704882030,
    "rate": 1.23456
  },
  "query": {
    "from": "<string>",
    "to": "<string>",
    "amount": 10,
    "precision": 8
  },
  "result": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

api-key
string
header
required

Authentication via API key header

Path Parameters

from
string
required

The symbol you want to convert from.

to
string
required

The symbol you want to convert to.

Query Parameters

amount
number
default:10

The amount to be converted.

Required range: x >= 1e-8
precision
integer
default:8

The decimal precision of the result.

Response

Successful Response

info
ConversionInfo · object
required
query
CryptoConversionQuery · object
required
result
number
required